Summary:	Yadex is a level editor for DOOM
Name:		yadex
Version:	1.5.1
Release:	2mdk
License:	GPL
Group:		Games/Arcade

Source:		http://www.teaser.fr/~amajorel/yadex/%name-%version.tar.bz2

URL:		http://www.teaser.fr/~amajorel/yadex
BuildRoot:	%_tmppath/%name-%version-%release-root
ExcludeArch:	ppc

%description
Yadex is a Doom level (wad) editor for Unix systems running X, including
Linux. It supports Doom, Doom II, Ultimate Doom, Final Doom, Heretic,
Doom press release pre beta and also, in a more or less limited way, Hexen,
Strife and Doom alpha. It is available under the terms of the GPL.

%prep

%setup -q

%build
%make

%install
make PREFIX=%buildroot/%_prefix \
     INST_CFGDIR=%buildroot/%_sysconfdir/%name/%version \
     FHS_MAN=%buildroot/%_mandir install

mkdir -p ./html
mv ./doc/*.html ./html
mv ./docsrc/*.png ./html
  
cat %buildroot/%_sysconfdir/%name/%version/yadex.cfg | \
	sed -e "s|/usr/local|%_prefix|" > %buildroot/%_sysconfdir/%name/%version/yadex.cfg.tmp

mv %buildroot/%_sysconfdir/%name/%version/yadex.cfg.tmp %buildroot/%_sysconfdir/%name/%version/yadex.cfg

install -d %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="text" section="Amusement/Arcade" title="Yadex" longtitle="A level editor for DOOM" command="%name"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc README TODO CHANGES COPYING COPYING.LIB html
%_bindir/ybsp
%_bindir/ybsp-1.5.1
%_bindir/yadex
%_bindir/yadex-1.5.1
%config(noreplace) %_sysconfdir/%name/%version/yadex.cfg
%_datadir/games/yadex/1.5.1/*.ygd
%_mandir/man6/ybsp.6*
%_mandir/man6/yadex.6*
%_menudir/*

%changelog
* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 1.5.1-2mdk
- ExcludeArch: ppc
- %%setup -q
- Spec clean up

* Fri Dec 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- updated to 1.5.1

* Thu Sep 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- used srpm from Max Heijndijk <cchq@wanadoo.nl> :
  * Wed Aug 23 2000 Max Heijndijk <cchq@wanadoo.nl> 
  - Added *.png files for docs.

* Tue Aug 22 2000 Max Heijndijk <cchq@wanadoo.nl> 
- Initial wrap.
